Bug#602711: pbuilder: diff for NMU version 0.215+nmu5

Ritesh Raj Sarraf rrs at debian.org
Wed Jul 15 14:08:40 UTC 2015


Control: tags 602711 + pending

Dear Junichi,

THis time, I've tried to prepare a proper patch. I hope you  include it.

Regards.
diff -Nru pbuilder-0.215+nmu4/debian/changelog pbuilder-0.215+nmu5/debian/changelog
--- pbuilder-0.215+nmu4/debian/changelog	2015-06-22 21:34:04.000000000 +0530
+++ pbuilder-0.215+nmu5/debian/changelog	2015-07-15 18:41:48.000000000 +0530
@@ -1,3 +1,10 @@
+pbuilder (0.215+nmu5) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add support for debdelta (Closes: #602711) 
+
+ -- Ritesh Raj Sarraf <rrs at debian.org>  Wed, 15 Jul 2015 18:41:17 +0530
+
 pbuilder (0.215+nmu4) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru pbuilder-0.215+nmu4/debian/patches/series pbuilder-0.215+nmu5/debian/patches/series
--- pbuilder-0.215+nmu4/debian/patches/series	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/debian/patches/series	2015-07-15 18:37:47.000000000 +0530
@@ -0,0 +1 @@
+debdelta-support.patch
diff -Nru pbuilder-0.215+nmu4/pbuilder-createbuildenv pbuilder-0.215+nmu5/pbuilder-createbuildenv
--- pbuilder-0.215+nmu4/pbuilder-createbuildenv	2015-06-22 13:35:23.000000000 +0530
+++ pbuilder-0.215+nmu5/pbuilder-createbuildenv	2015-07-15 18:41:03.000000000 +0530
@@ -96,6 +96,7 @@
 mountproc
 $TRAP umountproc_cleanbuildplace_trap exit sighup
 $CHROOTEXEC /usr/bin/apt-get -q update
+$CHROOTEXEC /usr/bin/debdelta-upgrade || true
 
 case "`readlink -e "$PBUILDERSATISFYDEPENDSCMD"`" in
   *-aptitude)
diff -Nru pbuilder-0.215+nmu4/.pc/applied-patches pbuilder-0.215+nmu5/.pc/applied-patches
--- pbuilder-0.215+nmu4/.pc/applied-patches	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/.pc/applied-patches	2015-07-15 18:37:47.000000000 +0530
@@ -0,0 +1 @@
+debdelta-support.patch
diff -Nru pbuilder-0.215+nmu4/.pc/debdelta-support.patch/pbuilder-createbuildenv pbuilder-0.215+nmu5/.pc/debdelta-support.patch/pbuilder-createbuildenv
--- pbuilder-0.215+nmu4/.pc/debdelta-support.patch/pbuilder-createbuildenv	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/.pc/debdelta-support.patch/pbuilder-createbuildenv	2015-06-22 13:35:23.000000000 +0530
@@ -0,0 +1,147 @@
+#! /bin/bash
+# Creating the build environment with debootstrap.
+#   pbuilder -- personal Debian package builder
+#   Copyright (C) 2001-2003,2005-2007 Junichi Uekawa
+#
+#   This program is free software; you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation; either version 2 of the License, or
+#   (at your option) any later version.
+#
+#   This program is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with this program; if not, write to the Free Software
+#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+
+set -e 
+
+. /usr/lib/pbuilder/pbuilder-checkparams
+. /usr/lib/pbuilder/pbuilder-runhooks
+
+if [ -z "$DISTRIBUTION" ]; then
+    DISTRIBUTION=sid
+fi
+log "I: Distribution is $DISTRIBUTION."
+
+if [ "${PBUILDER_DEBUGMODE}" = "yes" ]; then
+    TRAP="echo ignoring trap "
+else
+    TRAP=trap
+fi
+
+# show the current time before doing anything.
+echobacktime
+
+# first clean it.
+cleanbuildplace
+
+log "I: Building the build environment"
+mkdir -p "$BUILDPLACE"
+if [ ! -d "$BUILDPLACE" ]; then
+    log "E: Could not make directory [$BUILDPLACE]"
+    exit 1
+fi
+
+$TRAP cleanbuildplace exit
+
+log "I: running $DEBOOTSTRAP"
+unset DEBOOTSTRAPSCRIPT
+if [ -n "$HOOKDIR" ]; then
+    if [ -f "$HOOKDIR/$DISTRIBUTION" ]; then
+	DEBOOTSTRAPSCRIPT=$(readlink -f "$HOOKDIR")"/$DISTRIBUTION"
+	log "I: Applying user distribution dist build script $DEBOOTSTRAPSCRIPT"
+    fi
+fi
+
+if which "${DEBOOTSTRAP}"; then
+    : # debootstrap exists
+else
+    log "E: ${DEBOOTSTRAP} does not exist, install or change DEBOOTSTRAP option"
+    exit 1
+fi
+
+# FIXME if the end-user passes another --include= to debootstrap in
+# DEBOOTSTRAPOPTS, it will override the --include=apt one and apt might not be
+# installed
+if ! ( cd "$BUILDPLACE" && \
+    "${DEBOOTSTRAP}" ${ARCHITECTURE:+--arch=$ARCHITECTURE} \
+    --include=apt \
+    "${DEBOOTSTRAPOPTS[@]}" \
+    "$DISTRIBUTION" \
+    . \
+    "$MIRRORSITE" \
+    $DEBOOTSTRAPSCRIPT ) ; then
+    log "E: $DEBOOTSTRAP failed"
+    exit 1
+fi
+
+log "I: debootstrap finished"
+loadhooks
+
+
+mkdir -p "$BUILDPLACE/tmp/buildd"
+
+copy_local_configuration
+installaptlines
+add_additional_aptkeyrings
+executehooks "G"
+
+log "I: Refreshing the base.tgz "
+log "I: upgrading packages"
+mountproc
+$TRAP umountproc_cleanbuildplace_trap exit sighup
+$CHROOTEXEC /usr/bin/apt-get -q update
+
+case "`readlink -e "$PBUILDERSATISFYDEPENDSCMD"`" in
+  *-aptitude)
+    EXTRAPACKAGES="$EXTRAPACKAGES aptitude"
+  ;;
+  *)
+    EXTRAPACKAGES="$EXTRAPACKAGES aptitude-"
+  ;;
+esac
+
+if [ -n "$CCACHEDIR" ]; then
+    EXTRAPACKAGES="$EXTRAPACKAGES ccache"
+else
+    EXTRAPACKAGES="$EXTRAPACKAGES ccache-"
+fi
+
+if [ -n "$REMOVEPACKAGES" ]; then
+    # FIXME this wont work if the packages have some reverse dependencies;
+    # apt-get can also remove package, either with apt-get remove or purge, or
+    # with apt-get install name-of-pkg- (i.e. a minus sign after the package
+    # name)
+    $CHROOTEXEC /usr/bin/dpkg --purge $REMOVEPACKAGES
+fi
+recover_aptcache
+$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" "${FORCE_CONFNEW[@]}" dist-upgrade
+$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" install \
+    build-essential \
+    dpkg-dev \
+    $EXTRAPACKAGES
+save_aptcache
+
+executehooks "E"
+unloadhooks
+umountproc
+$CHROOTEXEC /usr/bin/apt-get clean || true
+$TRAP cleanbuildplace_trap exit sighup
+
+# Internal_build_uml is set when --no-targz is set, this code is actually never called from pbuilder-user-mode-linux
+if [ ! "${INTERNAL_BUILD_UML}" = "yes" ]; then
+    create_basetgz
+fi
+if [ "${PRESERVE_BUILDPLACE}" = "yes" ]; then
+    :
+else
+    :
+    cleanbuildplace
+fi
+trap - exit sighup
+exit 0
diff -Nru pbuilder-0.215+nmu4/.pc/.quilt_patches pbuilder-0.215+nmu5/.pc/.quilt_patches
--- pbuilder-0.215+nmu4/.pc/.quilt_patches	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/.pc/.quilt_patches	2015-07-15 18:37:47.000000000 +0530
@@ -0,0 +1 @@
+debian/patches
diff -Nru pbuilder-0.215+nmu4/.pc/.quilt_series pbuilder-0.215+nmu5/.pc/.quilt_series
--- pbuilder-0.215+nmu4/.pc/.quilt_series	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/.pc/.quilt_series	2015-07-15 18:37:47.000000000 +0530
@@ -0,0 +1 @@
+series
diff -Nru pbuilder-0.215+nmu4/.pc/.version pbuilder-0.215+nmu5/.pc/.version
--- pbuilder-0.215+nmu4/.pc/.version	1970-01-01 05:30:00.000000000 +0530
+++ pbuilder-0.215+nmu5/.pc/.version	2015-07-15 18:37:47.000000000 +0530
@@ -0,0 +1 @@
+2



More information about the Pbuilder-maint mailing list